---- GetLastMeasure ----
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[GetLastMeasure]') and xtype in (N'FN', N'IF', N'TF'))
drop function [dbo].[GetLastMeasure]
GO
create  function GetLastMeasure(@ObjID integer, @MeasureType integer)
returns nvarchar(100)
as
begin
  declare @res nvarchar(100)
  set @res = IsNULL(RTRIM(LTRIM((SELECT TOP 1 Значение FROM Измерение INNER JOIN
        Значения_измерений ON Измерение.Код_измерения = Значения_измерений.Код_измерения
	WHERE (Код_типа_измерения = @MeasureType) AND (Код_объекта = @ObjID)
	ORDER BY Дата_измерения, Измерение.Код_измерения DESC))),'')
  if @res = '' set @res = 'не установлено'
  return @res
end
GO
PRINT 'Dicts/~First.sql functions: GetLastMeasure'
GO
